package kaysaar.aotd_question_of_loyalty.data.models;

import kaysaar.aotd_question_of_loyalty.data.scripts.commision.AoTDCommissionDataManager;
import com.fs.starfarer.api.impl.campaign.rulecmd.AoTDRetirementOption;
import com.fs.starfarer.api.Global;

public class RetirementInfo
{
    String prevRankId;
    float salary;
    String prevFaction;
    
    public static RetirementInfo getInstance() {
        return (RetirementInfo)Global.getSector().getMemory().get(AoTDRetirementOption.memKey);
    }
    
    public RetirementInfo(final String prevRankId, final float assignedPension, final String factionId) {
        this.prevRankId = prevRankId;
        this.salary = this.salary;
        this.prevFaction = factionId;
    }
    
    public float getSalary() {
        return this.salary;
    }
    
    public String getPrevFaction() {
        return this.prevFaction;
    }
    
    public String getPrevRankId() {
        return this.prevRankId;
    }
    
    public RankData getRankData() {
        return AoTDCommissionDataManager.getInstance().getRank(this.prevRankId);
    }
}
